SPA Render Data

SPA: Retrieves a paginated list of Render Data

Returns a paginated list of render data for the authenticated user's client.

GET/api/spa/render-data

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Query Parameters

page
integerdefault:1

The collection page number

itemsPerPage
integerdefault:20

The number of items per page

pagination
boolean

Enable or disable pagination

order[id]
stringdefault:asc

No description provided.

order[createdAt]
stringdefault:asc

No description provided.

order[updatedAt]
stringdefault:asc

No description provided.

id
integer

No description provided.

id[]
integer[]

No description provided.

subClient
string

No description provided.

subClient[]
string[]

No description provided.

createdAt[before]
string

No description provided.

createdAt[strictly_before]
string

No description provided.

createdAt[after]
string

No description provided.

createdAt[strictly_after]
string

No description provided.

Response

200application/json

RenderData collection

id
integer

RenderData ID generated by Output.Rocks.

Example: 12345

value
object

Data Object

Example: {"contract":{"email":"john.doe@output.rocks"},"invoiceNumber":"123456","invoiceDate":"12 March 2022","items":[{"qty":"3","ItemName":"ACP101 Accounting Package","amt":"1350.00"},{"qty":"4.5","ItemName":"ACP101S Standard Support","amt":"450.00"},{"qty":"10","ItemName":"ACP101T Online Training","amt":"1200.00"}]}

appValue
string | null[]
renderingRequestId
integer | null

ID of the RenderingRequest associated with this render data.

emailProcesses
object[]
createdBy
string

User, created this entry

Example: "user1@company.com"

updatedBy
string

User, updated this entry

Example: "user1@company.com"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

client
object
subClient
object
subClientId
integer

SubClient ID. Provided on instances with enabled sub-client module only.

Example: 3

subClientDescription
string

SubClient description. Provided on instances with enabled sub-client module only.

Example: "Branch Office A"

subClientColor
string

SubClient display colour. Provided on instances with enabled sub-client module only.

Example: "#083E5D"